// import request from '@/utils/requestUC'
// // import request1 from '@/utils/request';
const baseURL = window.GLOBAL_CONFIG.uc
// 用户信息
export const user_list = (data = {}) =>
  request({
    baseURL,
    url: '/user/main/index',
    data,
  })
export const user_edit = (data = {}) =>
  request({
    baseURL,
    url: '/user/main/edit',
    data,
  })

export const user_detail = (data = {}) => {
  return request({ baseURL, url: '/user/main/detail', data })
}
// 荣誉信息

export const honor_list = (data = {}) => {
  return request({ baseURL, url: '/user/honor/index', data })
}

export const honor_add = (data = {}) => {
  return request({ baseURL, url: '/user/honor/add', data })
}

export const honor_del = (data = {}) => {
  return request({ baseURL, url: '/user/honor/delete', data })
}
// 家庭成员信息
export const family_list = (data = {}) => {
  return request({ baseURL, url: '/user/family/index', data })
}

export const family_add = (data = {}) => {
  return request({ baseURL, url: '/user/family/add', data })
}

export const family_edit = (data = {}) => {
  return request({ baseURL, url: '/user/family/edit', data })
}

export const family_del = (data = {}) => {
  return request({ baseURL, url: '/user/family/delete', data })
}

// 文件上传
export const file_upload = (data = {}) => {
  return REQUEST.upload({
    baseURL,
    url: 'upload/main/file',
    data: { filedata: data.file },
  })
}
// 学校列表
export const school_list = (data = {}) =>
  request({
    baseURL,
    url: '/school/main/index',
    data,
  })

// 地区
export const area_list = (data = {}) => {
  return request({ baseURL, url: '/area/main/index', data })
}

// 年级学科
export const base_list = (data = {}) => {
  return request({ baseURL, url: '/school/main/base_grade', data })
}
// 年级班级
export const grade_class = (data = {}) => {
  return request({ baseURL, url: '/class/main/grade_class', data })
}
